std::__debug::deque< _Tp, _Allocator >(3cxx)

NAME
std::__debug::deque< _Tp, _Allocator > - Class std::deque with safety/checking/debug instrumentation.

SYNOPSIS

#include <deque>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >.

  Public Types

typedef _Allocator allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, deque > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, deque > iterator
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Tp value_type

  Public Member Functions

deque (_Base_ref __x)
template<class _InputIterator, typename = std::_RequireInputIter<_InputIterator>> deque (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
deque (const _Allocator &__a)
deque (const deque &)=default
deque (const deque &__d, const __type_identity_t< _Allocator > &__a)
deque (deque &&)=default
deque (deque &&__d, const __type_identity_t< _Allocator > &__a)
deque (initializer_list< value_type > __l, const allocator_type &__a=allocator_type())
deque (size_type __n, const __type_identity_t< _Tp > &__value, const _Allocator &__a=_Allocator())
deque (size_type __n, const _Allocator &__a=_Allocator())
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
template<class _InputIterator, typename = std::_RequireInputIter<_InputIterator>> void assign (_InputIterator __first, _InputIterator __last)
void assign (initializer_list< value_type > __l)
void assign (size_type __n, const _Tp &__t)
const_reference back () const noexcept
reference back () noexcept
const_iterator begin () const noexcept
iterator begin () noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (const_iterator __position, _Args &&... __args)
template<typename... _Args> reference emplace_back (_Args &&... __args)
template<typename... _Args> reference emplace_front (_Args &&... __args)
const_iterator end () const noexcept
iterator end () noexcept
iterator erase (const_iterator __first, const_iterator __last)
iterator erase (const_iterator __position)
const_reference front () const noexcept
reference front () noexcept
template<class _InputIterator, typename = std::_RequireInputIter<_InputIterator>> iterator insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
iterator insert (const_iterator __position, _Tp &&__x)
iterator insert (const_iterator __position, const _Tp &__x)
iterator insert (const_iterator __position, initializer_list< value_type > __l)
iterator insert (const_iterator __position, size_type __n, const _Tp &__x)
deque & operator= (const deque &)=default
deque & operator= (deque &&)=default
deque & operator= (initializer_list< value_type > __l)
const_reference operator[] (size_type __n) const noexcept
reference operator[] (size_type __n) noexcept
void pop_back () noexcept
void pop_front () noexcept
void push_back (_Tp &&__x)
void push_back (const _Tp &__x)
void push_front (_Tp &&__x)
void push_front (const _Tp &__x)
const_reverse_iterator rbegin () const noexcept
reverse_iterator rbegin () noexcept
const_reverse_iterator rend () const noexcept
reverse_iterator rend () noexcept
void resize (size_type __sz)
void resize (size_type __sz, const _Tp &__c)
void shrink_to_fit () noexcept
void swap (deque &__x) noexcept(/*conditional */)

  Protected Member Functions

constexpr void _M_swap (const _Safe_container &__x) const noexcept

  Friends

template<typename _ItT, typename _SeqT, typename _CatT> class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__debug::deque< _Tp, _Allocator >"Class std::deque with safety/checking/debug instrumentation.

Author

Generated automatically by Doxygen for libstdc++ from the source code.